# @bd/ui

百搭 UI 组件库, 基于 [【wkit】](https://git.wkit.fun/bytedo/wkit) 开发。面向下一代的 UI`web components` 组件库

![downloads](https://img.shields.io/npm/dt/@bd/ui.svg)
![version](https://img.shields.io/npm/v/@bd/ui.svg)

### 开发环境

- vscode 开源编辑器

  - `Prettier`插件, 格式化代码用
  - `string-html-css`, 可高亮显示 js 中的`html/css`文本, 并支持`emmet`
  - `simple http`, 可快速配置 http 服务器,支持 history 路由
  - ...

- wkit 针对`web components`的核心封装库, 以数据驱动, 可以更方便的开发 wc 组件

### 开发进度 && 计划 (44/56)

+ 基础组件 (4/5)
  - [x] `wc-icon` 图标组件
  - [x] `wc-button` 按钮
  - [x] `wc-link` 链接按钮
  - [x] `wc-space` 间隔组件
  - [ ] `wc-layout` 布局组件

+ 表单组件 (10/15)
  - [x] `wc-checkbox` 复选框
  - [x] `wc-input` 文本输入框
  - [x] `wc-passwd` 文本输入框
  - [x] `wc-textarea` 多行文本输入框
  - [x] `wc-number` 步进数字输入
  - [x] `wc-star` 评分
  - [x] `wc-radio` 单选框
  - [x] `wc-switch` 开关
  - [x] `wc-silder` 滑块组件
  - [x] `wc-color` 颜色选择器
  - [ ] `wc-datepicker` 日期选择器
  - [ ] `wc-timepicker` 时间选择器
  - [ ] `wc-uploader` 上传组件
  - [ ] `wc-select` 下拉选择
  - [ ] `wc-cascadar` 多级联动

+ 数据展示组件 (16/18)
  - [x] `wc-tag` 标签组件
  - [x] `wc-card` 卡片组件
  - [x] `wc-avatar` 头像组件
  - [x] `wc-badge` 徽标组件
  - [x] `wc-time` 时间格式化组件
  - [x] `wc-collapse` 折叠组件
  - [x] `wc-image` 图片组件
  - [x] `wc-image-preview` 图片预览组件
  - [x] `wc-timeline` 时间线组件
  - [x] `wc-tabs` 选项卡组件
  - [x] `wc-result` 结果反馈组件
  - [x] `wc-markd` markdown 组件
  - [x] `wc-code` 代码高亮插件
  - [x] `wc-swipe` 轮播图组件
  - [x] `wc-breadcrumb` 面包屑组件
  - [x] `wc-progress` 进度条组件
  - [ ] `wc-empty` 空状态组件
  - [ ] `wc-table` 表格组件

+ 导航组件 (2/5)
  - [x] `wc-pager` 分页组件
  - [x] `wc-steps` 步骤条组件
  - [ ] `wc-menu` 菜单组件
  - [ ] `wc-dropdown` 下拉菜单组件
  - [ ] `wc-tree` 树形菜单组件

+ 反馈组件 (7/7)
  - [x] `wc-notify` 通知组件
  - [x] `wc-loading` 加载组件
  - [x] `wc-layer` 弹层组件
  - [x] `wc-drawer` 抽屉组件
  - [x] `wc-tooltip` 文字提示组件
  - [x] `wc-popconfirm` 气泡确认框组件
  - [x] `wc-drag` 拖拽组件

+ 编辑器组件 (2/2)
  - [x] `wc-meditor` markdown文本编辑器
  - [x] `wc-editor` 富文本编辑器

+ 其他组件 (3/4)
  - [x] `wc-scroll` 滚动组件
  - [x] `wc-divider` 分割线组件
  - [x] `wc-sandbox` 代码沙盒组件
  - [ ] `wc-chatbubble` 聊天气泡组件

### 测试预览

[测试预览](./develop.md)
